﻿Imports System.Configuration
Imports System.IO
Imports System.Net
Imports System.Net.Mail
Imports System.Net.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub SendEmail(sender As Object, e As EventArgs)
        Dim body As String = Me.PopulateBody("John",
            "Fetch multiple values as Key Value pair in ASP.Net AJAX AutoCompleteExtender",
            "https://www.aspsnippets.com/Articles/Fetch-multiple-values-as-Key-Value-pair-in-ASP.Net-AJAX-AutoCompleteExtender.aspx",
            "Here Mudassar Khan has explained with an example, how to fetch multiple column values i.e." &
            " ID and Text values in the ASP.Net AJAX Control Toolkit AutocompleteExtender" &
            " and also how to fetch the select text and value server side on postback.")
        Me.SendHtmlFormattedEmail("recepient@gmail.com", "New article published!", body)
    End Sub

    Private Function PopulateBody(userName As String, title As String, url As String, description As String) As String
        Dim body As String = String.Empty
        Using reader As StreamReader = New StreamReader(Server.MapPath("~/Template/EmailTemplate.htm"))
            body = reader.ReadToEnd()
        End Using
        body = body.Replace("{UserName}", userName)
        body = body.Replace("{Title}", title)
        body = body.Replace("{Url}", url)
        body = body.Replace("{Description}", description)
        Return body
    End Function

    Private Sub SendHtmlFormattedEmail(recepientEmail As String, subject As String, body As String)
        'Read SMTP section from Web.Config.
        Dim smtpSection As SmtpSection = CType(ConfigurationManager.GetSection("system.net/mailSettings/smtp"), SmtpSection)
        Using mm As MailMessage = New MailMessage(smtpSection.From, recepientEmail)
            mm.Subject = subject
            mm.Body = body
            mm.IsBodyHtml = True
            Using smtp As SmtpClient = New SmtpClient()
                smtp.Host = smtpSection.Network.Host
                smtp.EnableSsl = smtpSection.Network.EnableSsl
                Dim networkCred As NetworkCredential = New NetworkCredential(smtpSection.Network.UserName, smtpSection.Network.Password)
                smtp.UseDefaultCredentials = smtpSection.Network.DefaultCredentials
                smtp.Credentials = networkCred
                smtp.Port = smtpSection.Network.Port
                smtp.Send(mm)
            End Using
        End Using
    End Sub
End Class
